compat: add support for linux 3.1
[~tnikolova/compat/.git] / include / linux / compat-3.1.h
1 #ifndef LINUX_3_1_COMPAT_H
2 #define LINUX_3_1_COMPAT_H
3
4 #include <linux/version.h>
5
6 #if (LINUX_VERSION_CODE < KERNEL_VERSION(3,1,0))
7
8 #define genl_dump_check_consistent(cb, user_hdr, family)
9
10 #define IFF_TX_SKB_SHARING      0x10000 /* The interface supports sharing
11                                          * skbs on transmit */
12
13 #define PCMCIA_DEVICE_MANF_CARD_PROD_ID3(manf, card, v3, vh3) { \
14         .match_flags = PCMCIA_DEV_ID_MATCH_MANF_ID| \
15                         PCMCIA_DEV_ID_MATCH_CARD_ID| \
16                         PCMCIA_DEV_ID_MATCH_PROD_ID3, \
17         .manf_id = (manf), \
18         .card_id = (card), \
19         .prod_id = { NULL, NULL, (v3), NULL }, \
20         .prod_id_hash = { 0, 0, (vh3), 0 }, }
21
22 #endif /* (LINUX_VERSION_CODE < KERNEL_VERSION(3,1,0)) */
23
24 #endif /* LINUX_3_1_COMPAT_H */